import request from '@/utils/request'

// 查询博雅集东南亚重要参考文献汇编列表
export function listLiterature(query) {
  return request({
    url: '/vr/literature/pageList',
    method: 'get',
    params: query
  })
}

// 查询博雅集东南亚重要参考文献汇编详细
export function getLiterature(id) {
  return request({
    url: '/vr/literature/' + id,
    method: 'get'
  })
}

// 新增博雅集东南亚重要参考文献汇编
export function addLiterature(data) {
  return request({
    url: '/vr/literature',
    method: 'post',
    data: data
  })
}

// 修改博雅集东南亚重要参考文献汇编
export function updateLiterature(data) {
  return request({
    url: '/vr/literature',
    method: 'put',
    data: data
  })
}

// 删除博雅集东南亚重要参考文献汇编
export function delLiterature(id) {
  return request({
    url: '/vr/literature/' + id,
    method: 'delete'
  })
}
